Package com.independentsoft.office.spreadsheet.tables

# Class TableStyle

java.lang.Object
com.independentsoft.office.spreadsheet.tables.TableStyle

public class TableStyle extends Object
The Class TableStyle.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TableStyle()`
  Instantiates a new table style.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TableStyle`
  `clone()`
  `String`
  `getName()`
  Gets the name.
  `boolean`
  `isShowColumnStripes()`
  Checks if is show column stripes.
  `boolean`
  `isShowFirstColumn()`
  Checks if is show first column.
  `boolean`
  `isShowLastColumn()`
  Checks if is show last column.
  `boolean`
  `isShowRowStripes()`
  Checks if is show row stripes.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setShowColumnStripes​(boolean showColumnStripes)`
  Sets the show column stripes.
  `void`
  `setShowFirstColumn​(boolean showFirstColumn)`
  Sets the show first column.
  `void`
  `setShowLastColumn​(boolean showLastColumn)`
  Sets the show last column.
  `void`
  `setShowRowStripes​(boolean showRowStripes)`
  Sets the show row stripes.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TableStyle

    public TableStyle()
    Instantiates a new table style.

- ## Method Details

  - ### clone

    public TableStyle clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### isShowColumnStripes

    public boolean isShowColumnStripes()
    Checks if is show column stripes.
    Returns:
      true, if is show column stripes

  - ### setShowColumnStripes

    public void setShowColumnStripes​(boolean showColumnStripes)
    Sets the show column stripes.
    Parameters:
      `showColumnStripes` - the new show column stripes

  - ### isShowFirstColumn

    public boolean isShowFirstColumn()
    Checks if is show first column.
    Returns:
      true, if is show first column

  - ### setShowFirstColumn

    public void setShowFirstColumn​(boolean showFirstColumn)
    Sets the show first column.
    Parameters:
      `showFirstColumn` - the new show first column

  - ### isShowLastColumn

    public boolean isShowLastColumn()
    Checks if is show last column.
    Returns:
      true, if is show last column

  - ### setShowLastColumn

    public void setShowLastColumn​(boolean showLastColumn)
    Sets the show last column.
    Parameters:
      `showLastColumn` - the new show last column

  - ### isShowRowStripes

    public boolean isShowRowStripes()
    Checks if is show row stripes.
    Returns:
      true, if is show row stripes

  - ### setShowRowStripes

    public void setShowRowStripes​(boolean showRowStripes)
    Sets the show row stripes.
    Parameters:
      `showRowStripes` - the new show row stripes